BTF.WA
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/btf-wa/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/btf-wa/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1765756800000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://newconnect.pl/komunikat?geru_id=235605#pvy7zfso61",
"holding_balance": 136.5347,
"holding_net_change": 1.53,
"transaction_value_usd": 137356.0,
"average_entry_value_usd": 89500.23,
"transaction_value_calculated": false
},
{
"date": 1765756800000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://newconnect.pl/komunikat?geru_id=235605#pvy7zfso61",
"holding_balance": 136.6842,
"holding_net_change": 0.15,
"transaction_value_usd": 13382.0,
"average_entry_value_usd": 89511.71,
"transaction_value_calculated": false
},
{
"date": 1767744000000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://newconnect.pl/komunikat?geru_id=235998&title=Zamkni%C4%99cie+wcze%C5%9Bniejszej+pozycji+oraz+zawarcie+nowej+transakcji+na+instrumentach+pochodnych+na+Bitcoin+w+ramach+wsp%C3%B3%C5%82pracy+z+QCP+Trading+Pte.+Ltd.#pvy7zfso61",
"holding_balance": 137.6719,
"holding_net_change": 0.99,
"transaction_value_usd": 90338.4801,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/btf-wa/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
137.6719
],
[
1779062400000,
137.6719
],
[
1779148800000,
137.6719
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/btf-wa/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
10659915.942934
],
[
1779062400000,
10593063.845013
],
[
1779148800000,
10567696.420719
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/btf-wa/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/btf-wa/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/btf-wa/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/btf-wa/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": 0.0,
"total_btc_percentage": 0.001,
"share_price_change_state": "down"
}